Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Class ExtendedBooleanPropertyDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.PropertyDescriptor
          org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor
              org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedComboboxPropertyDescriptor
                  org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedBooleanPropertyDescriptor

All Implemented Interfaces:
  ICompositeSourcePropertyDescriptor, IExtendedPropertyDescriptor, IPropertyDescriptor

    public class ExtendedBooleanPropertyDescriptor

extends ExtendedComboboxPropertyDescriptor

Constructor Summary
`ExtendedBooleanPropertyDescriptor(java.lang.Object id, java.lang.String displayName)` Constructor for ExtendedBooleanPropertyDescriptor.

Method Summary
`ILabelProvider` `getLabelProvider()`
`static java.lang.Boolean` `indexToValue(java.lang.Integer i)` Convert value to index.
`static java.lang.Integer` `valueToIndex(java.lang.Boolean b)` Convert value to index.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedComboboxPropertyDescriptor
`createPropertyEditor`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor
`getBlank, getDisplayName, getPropertySource, getPropertyValue, isCompatibleWith, isDirty, isReadOnly, resetPropertyValue, setDirtyFlag, setDisplayName, setPropertySource, setPropertyValue, setReadOnly`

Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor
`getAlwaysIncompatible, getCategory, getDescription, getFilterFlags, getHelpContextIds, getId, getValidator, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.extended.IExtendedPropertyDescriptor
`setValidator`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.descriptors.ICompositeSourcePropertyDescriptor
`setCategory`

Methods inherited from interface org.eclipse.ui.views.properties.IPropertyDescriptor
`getCategory, getDescription, getFilterFlags, getHelpContextIds, getId`

Constructor Detail

### ExtendedBooleanPropertyDescriptor

    public ExtendedBooleanPropertyDescriptor(java.lang.Object id,
                                             java.lang.String displayName)

  Constructor for ExtendedBooleanPropertyDescriptor.

  Parameters:
    `id` -
    `displayName` -

Method Detail

### getLabelProvider

    public ILabelProvider getLabelProvider()

  Specified by:
    `getLabelProvider` in interface `IPropertyDescriptor`
  Overrides:
    `getLabelProvider` in class `ExtendedComboboxPropertyDescriptor`
  See Also:
    `IPropertyDescriptor.getLabelProvider()`

### valueToIndex

    public static java.lang.Integer valueToIndex(java.lang.Boolean b)

  Convert value to index.

  Parameters:
    `b` -
  Returns:
    an instance of `Integer`

### indexToValue

    public static java.lang.Boolean indexToValue(java.lang.Integer i)

  Convert value to index.

  Parameters:
    `i` -
  Returns:
    an instance of `Boolean`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.